<?php
/*
Plugin Name: BuddyPress Group Dress Code
Plugin URI:
Description: This plugin adds an additional field to group creation for a dress code
Version: 1.0
Revision Date: June 25, 2010
License: GNU General Public License 2.0 (GPL) http://www.gnu.org/licenses/gpl.html
Author: Charl Kruger
Author URI:
*/

/* Show group dresscode number in group header */
$gdcode_show_dresscode_in_header = true ;

/* – HERE BEGINS THE CODE – */

// create the form to add the field
function gdcode_add_dresscode_form() {
	$group_dresscode = gdcode_get_group_dresscode();
?>
<label for="group-desc">活動場所</label>
<input type="text" name="group-dresscode" id="group-dresscode" value="<?php echo $group_dresscode;?>" />

<?php

}
add_action( 'groups_custom_group_fields_editable', 'gdcode_add_dresscode_form' );

// Save the dresscode number in the group meta – perhaps use serialize() and maybe_unserialize()
function gdcode_save_dresscode( $group_id ) {
global $bp;

if($bp->groups->new_group_id)
$id = $bp->groups->new_group_id;
else
$id = $group_id;

if ( $_POST )
	groups_update_groupmeta( $id, 'gdcode_group_dresscode', $_POST );
}

function custom_field($meta_key='') {
	//get current group id and load meta_key value if passed. If not pass it blank
	return groups_get_groupmeta( bp_get_group_id(), $meta_key) ;
}

// Get or return the dresscode number
function gdcode_group_dresscode() {
	echo gdcode_get_group_dresscode();
}

function gdcode_get_group_dresscode( $group = false ) {
	global $groups_template;

	if ( !$group ){
		$group =& $groups_template->group;
	}
	$group_dresscode = groups_get_groupmeta( $group->id, 'gdcode_group_dresscode' );
	if (isset($group_dresscode['group-dresscode'])){
		$group_dresscode = stripcslashes( $group_dresscode['group-dresscode'] );
	} else {
		$group_dresscode = '';
	}
	return apply_filters( 'gdcode_get_group_dresscode', $group_dresscode );
}

// show dresscode number in group header
function gdcode_show_dresscode_in_header( $description ) {
	global $gdcode_show_dresscode_in_header;
	$group_item = custom_field('gdcode_group_dresscode');
	if ( gdcode_get_group_dresscode() && $gdcode_show_dresscode_in_header ) {
		$description .=  '<br />'.__('活動場所', 'gdcode').':'.$group_item['group-dresscode'].'';
	}
	return $description;
}


// show number for an individual group
function gdcode_make_dresscode_for_group() {
	global $bp, $wpdb, $gdcode_args;

	$group_dresscode = gdcode_get_group_dresscode();
	return $group_dresscode;
}

add_action( 'groups_create_group_step_save_group-details', 'gdcode_save_dresscode' );
add_action( 'groups_details_updated', 'gdcode_save_dresscode' );
// Show the custom field in the group header
function show_field_in_header( ) {
	$group_item = custom_field('gdcode_group_dresscode');
	echo "<p>活動場所:" . $group_item['group-dresscode']. "</p>";
}
add_action('bp_group_header_meta' , 'show_field_in_header') ;
?>